# Ant User Manual

## SignJar

### Description

Signs a jar or zip file with the javasign command line tool.

### Parameters

Attribute | Description | Required
jar | the jar file to sign | Yes.
alias | the alias to sign under | Yes.
storepass | password for keystore integrity. | Yes.
keystore | keystore location | No
storetype | keystore type | No
keypass | password for private key (if different) | No
sigfile | name of .SF/.DSA file | No
signedjar | name of signed JAR file | No
verbose | (true | false) verbose output when signing | No
internalsf | (true | false) include the .SF file inside the signature block | No
sectionsonly | (true | false) don't compute hash of entire manifest | No

### Examples

> `<signjar jar="${dist}/lib/ant.jar" alias="apache-group" storepass="secret"/>`

signs the ant.jar with alias "apache-group" accessing the keystore and private key via "secret" password.

Copyright © 2000,2001 Apache Software Foundation. All rights Reserved.